# $Revision: 1.17 $, $Date: 2005/08/13 21:05:14 $

%define		zope_subname	iHotfix
Summary:	Dynamically applying several patches to Zope
Summary(pl):	Dodatek aplikujcy wiele poprawek dla Zope
Name:		Zope-%{zope_subname}
Version:	0.7.0
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://www.ikaaro.org/download/ihotfix/%{zope_subname}-%{version}.tar.gz
# Source0-md5:	07a438b14e550e6e37271f34e098bbd6
URL:		http://www.ikaaro.org/
Requires(post,postun):	/usr/sbin/installzopeproduct
Requires:	Zope >= 2.6
Requires:	python-itools >= 0.9.0
BuildRequires:	python
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It dynamically applies several patches to Zope.

%description -l pl
Dodatek aplikujcy wiele poprawek dla Zope.

%prep
%setup -q -n %{zope_subname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

# should tests be included or not?
cp -af *.py version.txt $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt Changelog
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-iHotfix.spec,v $
Revision 1.17  2005/08/13 21:05:14  ciesiel
- upgraded to vesion 0.7.0

Revision 1.16  2005/08/06 07:52:31  ciesiel
- upgraded to version 0.6.0

Revision 1.15  2005/04/14 20:38:32  ciesiel
- upgrade to version 0.5.2

Revision 1.14  2005/01/13 06:39:56  ankry
- spaces -> tabs

Revision 1.13  2005/01/12 21:11:06  ciesiel
- added BR: python

Revision 1.12  2005/01/11 18:28:31  ciesiel
- upgraded tp version 0.5.1

Revision 1.11  2005/01/11 17:51:24  qboosh
- updated URL (note: 0.5.1 is there)

Revision 1.10  2005/01/10 18:03:54  ciesiel
- prepare rel. for rebuild with python 2.4

Revision 1.9  2005/01/09 00:41:12  ciesiel
- upgraded to version 0.5.0

Revision 1.8  2004/12/25 18:28:13  saq
- release 2 for rebuild with python 2.4

Revision 1.7  2004/10/30 11:59:12  paladine
- spaces->tabs

Revision 1.6  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.5  2004/06/09 15:11:51  ciesiel
- upgraded to version 0.4.0
- removed loop patch

Revision 1.4  2004/06/03 16:47:25  ciesiel
- merged from DEVEL branch
- added fixed loop patch
- remove warning

Revision 1.3.2.1  2004/05/14 04:33:19  ciesiel
- upgraded to version 0.3
- added warning

Revision 1.3  2003/11/20 07:10:41  qboosh
- cocmetics

Revision 1.2  2003/11/19 20:59:42  ciesiel
- cleaning

Revision 1.1  2003/11/19 20:51:09  ciesiel
- initial release
